<template lang="pug">
table.table.table-sm.table-hover
  thead.bg-light.table-head
    tr
      th.text-center(v-if='isAdmin') Status
      th.text-center Login
      th Name
      th Institute
  tbody
    tr(:key='m.id' v-for='m in rows')
      td.text-center(v-if='isAdmin')
        .fa.fa-check(v-if='m.status')
        .fa.fa-times(v-else)
      td.text-center
        UserLink(:user='m' :id='m.id')
      td.text-nowrap {{ m.firstName }} {{ m.lastName }}
      td.w-100
        .fa.fa-spinner.fa-pulse(v-if='associationsLoading || institutesLoading')
        template(v-else v-for='institute in [ getUserInstitute(m.id) ]')
          span.text-muted(v-if='!institute') not set
          span(v-else)
            tt {{ institute.alias }}
            span.d-none.d-xl-inline - {{ institute.name }}
</template>
<script>

export { default } from './UsersAll.vue.js';

</script>
